Page MenuHomePhabricator

Invalid parameter for message "logentry-massmessage-failure"
Closed, ResolvedPublic

Description

1783 Invalid parameter for message "logentry-massmessage-failure": a:1:{i:0;s:13:"edit-conflict";} in /srv/mediawiki/php-1.25wmf20/includes/Message.php on line 1007.

Example request url: https://ka.wikipedia.org/wiki/Special:Log?type=&user=MediaWiki+message+delivery&page=&wpdate=2018-12-01&tagfilter=

Details

Related Gerrit Patches:
mediawiki/extensions/MassMessage : masterHandle edit conflicts better in MassMessageServerSideJob

Event Timeline

Krenair created this task.Mar 18 2015, 6:09 PM
Krenair assigned this task to Legoktm.
Krenair raised the priority of this task from to Needs Triage.
Krenair updated the task description. (Show Details)
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2015, 6:09 PM

Change 197699 had a related patch set uploaded (by Legoktm):
Handle edit conflicts better in MassMessageServerSideJob

https://gerrit.wikimedia.org/r/197699

Legoktm set Security to None.
Legoktm moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.

Change 197699 merged by jenkins-bot:
Handle edit conflicts better in MassMessageServerSideJob

https://gerrit.wikimedia.org/r/197699

Legoktm closed this task as Resolved.Apr 6 2015, 5:52 PM
Krenair reopened this task as Open.Apr 16 2015, 5:15 PM

That commit was included in 1.26wmf1, but...

61 Invalid parameter for message "logentry-massmessage-failure": a:1:{i:0;s:13:"edit-conflict";} in /srv/mediawiki/php-1.26wmf1/includes/Message.php on line 1007
greg triaged this task as Medium priority.May 28 2015, 7:24 PM
greg added a subscriber: greg.

Update?

The underlying bug is fixed, but there are bad log entries in the database that will trigger warnings again if someone views old log entries. So it should get fixed at some point, but not really a priority.

hashar lowered the priority of this task from Medium to Low.Jun 11 2015, 4:14 PM
Legoktm removed Legoktm as the assignee of this task.Jul 22 2015, 9:01 PM
Krinkle added a subscriber: Krinkle.

Still seen in the latest branch. Tagging Editing-team per mw:Maintainers.

Latest sample from Logstash
Invalid parameter for message "logentry-massmessage-failure": a:1:{i:0;s:13:"edit-conflict";}

channel: Bug58676
reqId: W5M3RQpAIC4AAI5NQRkAAABX

#0 /srv/mediawiki/php-1.32.0-wmf.20/includes/Message.php(1142): Message->extractParam(string, string)
#1 /srv/mediawiki/php-1.32.0-wmf.20/includes/Message.php(874): Message->replaceParameters(string, string, string)
#2 /srv/mediawiki/php-1.32.0-wmf.20/includes/Message.php(931): Message->toString(string)
#3 /srv/mediawiki/php-1.32.0-wmf.20/includes/logging/WikitextLogFormatter.php(33): Message->parse()
#4 /srv/mediawiki/php-1.32.0-wmf.20/includes/logging/LogFormatter.php(445): WikitextLogFormatter->getActionMessage()
#5 /srv/mediawiki/php-1.32.0-wmf.20/includes/logging/LogEventsList.php(397): LogFormatter->getActionText()
#6 /srv/mediawiki/php-1.32.0-wmf.20/includes/logging/LogPager.php(389): LogEventsList->logLine(stdClass)
#7 /srv/mediawiki/php-1.32.0-wmf.20/includes/pager/IndexPager.php(445): LogPager->formatRow(stdClass)
#8 /srv/mediawiki/php-1.32.0-wmf.20/includes/specials/SpecialLog.php(256): IndexPager->getBody()
#9 /srv/mediawiki/php-1.32.0-wmf.20/includes/specials/SpecialLog.php(145): SpecialLog->show(FormOptions, array)
#10 /srv/mediawiki/php-1.32.0-wmf.20/includes/specialpage/SpecialPage.php(569): SpecialLog->execute(string)
#11 /srv/mediawiki/php-1.32.0-wmf.20/includes/specialpage/SpecialPageFactory.php(581): SpecialPage->run(string)
#12 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(288): MediaWiki\Special\SpecialPageFactory->executePath(Title, RequestContext)
#13 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(868): MediaWiki->performRequest()
#14 /srv/mediawiki/php-1.32.0-wmf.20/includes/MediaWiki.php(525): MediaWiki->main()
#15 /srv/mediawiki/php-1.32.0-wmf.20/index.php(42): MediaWiki->run()
#16 /srv/mediawiki/w/index.php(3): include(string)
#17 {main}

Editing team is unlikely to get involved with this, even if we are listed as maintainers(?!).

Editing team is unlikely to get involved with this, even if we are listed as maintainers(?!).

Agreed. I don't know why we're listed as maintainers for this. As far as I know, nobody on the team has ever had anything to do with this extension.

This comment was removed by Krinkle.
Krinkle updated the task description. (Show Details)Feb 13 2019, 1:54 AM
Krinkle updated the task description. (Show Details)

Mentioned in SAL (#wikimedia-operations) [2019-03-22T00:47:43Z] <Krinkle> krinkle@mwmaint1002 Fixing corrupt 'log_params' field of kawiki.logging row where log_id=1021367; T93110

Krinkle closed this task as Resolved.Mar 22 2019, 12:51 AM
Krinkle claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:12 PM